Page 1 of 1

iMacros for Firefox compatibility with Firefox 56 and later

Posted: Thu Sep 28, 2017 10:59 am
by Tom, Tech Support
Please see our latest blog post on the status of iMacros for Firefox:

iMacros for Firefox compatibility with Firefox 56 and newer